#/bin/sh

# Some settings

export UFASOFT_MINER_DIR=`readlink -f "$(dirname "$0")"`/bin
export LD_LIBRARY_PATH=`readlink -f "$(dirname "$0")"`/libs:$LD_LIBRARY_PATH

# Edit this

export ENABLE_GPU=yes
export REFRESH_TIME=60
export RPC_URL="http://eu.eclipsemc.com:8337"
export NUMBER_OF_CPU_CORES=2
export WORKER_LOGIN=k1773r_test
export WORKER_PASSWORD=foobar
export LONG_POLLING=yes

# Starting application

echo $UFASOFT_MINER_DIR/bitcoin-miner -a $REFRESH_TIME -g $ENABLE_GPU -o $RPC_URL -t $NUMBER_OF_CPU_CORES -u $WORKER_LOGIN -p $WORKER_PASSWORD -l $LONG_POLLING
LC_ALL=C LD_LIBRARY_PATH=$LD_LIBRARY_PATH $UFASOFT_MINER_DIR/bitcoin-miner -a $REFRESH_TIME -g $ENABLE_GPU -o $RPC_URL -t $NUMBER_OF_CPU_CORES -u $WORKER_LOGIN -p $WORKER_PASSWORD -l $LONG_POLLING
